Main Page Namespaces Book

# attributes.h File Reference

## Namespaces

namespace | Glib
namespace | Pango

## Classes

class | Pango::AttrColor
| A Pango::AttrColor is used to represent an attribute which is a color. More...
class | Pango::AttrFloat
| A Pango::AttrFloat is used to represent an attribute with a float or double value. More...
class | Pango::AttrFontDesc
| A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once. More...
class | Pango::Attribute
| The Pango::Attribute structure represents the common portions of all attributes. More...
struct | Pango::AttributeTraits
class | Pango::AttrInt
| A Pango::AttrInt is used to represent an attribute with an integer or enumeration value. More...
class | Pango::AttrLanguage
| A Pango::AttrLanguage is used to represent an attribute that is a language. More...
class | Pango::AttrShape
| A Pango::AttrShape structure is used to represent an attribute which imposes shape restrictions. More...
class | Pango::AttrString
| A Pango::AttrString is used to represent an attribute with a string value. More...

## Typedefs

typedef PangoLogAttr | Pango::LogAttr
| A Pango::LogAttr stores information about the attributes of a single character.
typedef Glib::SListHandle <Attribute, AttributeTraits> | Pango::SListHandle_Attribute

## Enumerations

enum

Pango::AttrType {
Pango::ATTR_INVALID,
Pango::ATTR_LANGUAGE,
Pango::ATTR_FAMILY,
Pango::ATTR_STYLE,
Pango::ATTR_WEIGHT,
Pango::ATTR_VARIANT,
Pango::ATTR_STRETCH,
Pango::ATTR_SIZE,
Pango::ATTR_FONT_DESC,
Pango::ATTR_FOREGROUND,
Pango::ATTR_BACKGROUND,
Pango::ATTR_UNDERLINE,
Pango::ATTR_STRIKETHROUGH,
Pango::ATTR_RISE,
Pango::ATTR_SHAPE,
Pango::ATTR_SCALE,
Pango::ATTR_FALLBACK,
Pango::ATTR_LETTER_SPACING,
Pango::ATTR_UNDERLINE_COLOR,
Pango::ATTR_STRIKETHROUGH_COLOR,
Pango::ATTR_ABSOLUTE_SIZE,
Pango::ATTR_GRAVITY,
Pango::ATTR_GRAVITY_HINT
}

enum | Pango::Underline { Pango::UNDERLINE_NONE, Pango::UNDERLINE_SINGLE, Pango::UNDERLINE_DOUBLE, Pango::UNDERLINE_LOW, Pango::UNDERLINE_ERROR }
| A Pango::Underline is used to specify whether text should be underlined, and if so, the type of underlining. More...